package net.northking.cctp.se.plan.bean;

import java.util.List;

public class EnginePlanQuery {

    /**
     * 主键
     */
    private String id;

    /**
     * 计划主键
     */
    private String planId;

    /**
     * 批次主键
     */
    private String batchId;

    /**
     * 队列类型
     */
    private String type;

    /**
     * 队列名称
     */
    private String queueName;

    /**
     * 优先级（0-低，1-高）
     */
    private String priority;

    /**
     * 设备编号集合
     */
    private List<PlanDeviceInfo> deviceList;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPlanId() {
        return planId;
    }

    public void setPlanId(String planId) {
        this.planId = planId;
    }

    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getQueueName() {
        return queueName;
    }

    public void setQueueName(String queueName) {
        this.queueName = queueName;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }

    public List<PlanDeviceInfo> getDeviceList() {
        return deviceList;
    }

    public void setDeviceList(List<PlanDeviceInfo> deviceList) {
        this.deviceList = deviceList;
    }
}
